/********************************************/
/*  define complex type                     */
/********************************************/

#ifndef _CMPLX_
#define _CMPLX_

#include <math.h> 

typedef struct{
    float r,i;
} complex;

complex newcomplex(float x, float y);
float real(complex a);
float imag(complex a);
complex add(complex a, complex b);
complex subtract(complex a, complex b);
int equal(complex a, complex b);
complex multiply(complex a, complex b);
complex divide(complex a, complex b);
complex conjugate(complex a);
float absc(complex a);

#endif


